#version 150

uniform sampler2D DiffuseSampler;
uniform sampler2D DiffuseDepthSampler;

in vec2 texCoord;
out vec4 fragColor;

float near = 0.50; 
float far  = 25.0; 

float LinearizeDepth(float depth) {
    float z = depth * 2.0 - 1.0;
    return (near * far) / (far + near - z * (far - near));    
}

void main() {
    float x = LinearizeDepth(texture(DiffuseDepthSampler, texCoord).r);
    float c = 6.0;
    float b = 0.999999887465;
    float h = 0.310714250748;
    float y; y = (1.0 - exp(h*(c - x)))/b;
    fragColor = vec4(0.5, 0.0, 1.0, y);
    fragColor.b = 1.0;
}